##
## interfaces.py
from zope.interface import Interface
from zope import schema

class IUniversity(Interface):
    """Representation of a university.
    """
    name = schema.TextLine(
        title = u'Name of University',
        default = u'Unnamed',
        required = True,
        )

class IStudentContainer(Interface):
    """A container for StudentObjects.
    """

class IHostelContainer(Interface):
    """A container for hostels.
    """

class IFacultyContainer(Interface):
    """A container for faculties.
    """
